Get Kibana's current status

Base URL
https://{kibana_url}
  • GET /api/status
Auth

Query parameters

v7format boolean

Set to "true" to get the response in v7 format.

v8format boolean

Set to "true" to get the response in v8 format.

Responses

Overall status is OK and Kibana should be functioning normally.

application/json
Any of:

Kibana's operational status as well as a detailed breakdown of plugin statuses indication of various loads (like event loop utilization and network traffic) at time of request.

metrics object required

Metric groups collected by Kibana.

collection_interval_in_millis number required

The interval at which metrics should be collected.

elasticsearch_client object required

Current network metrics of Kibana's Elasticsearch client.

totalActiveSockets number required

Count of network sockets currently in use.

totalIdleSockets number required

Count of network sockets currently idle.

totalQueuedRequests number required

Count of requests not yet assigned to sockets.

last_updated string required

The time metrics were collected.

name string required

Kibana instance name.

status object required
core object required

Statuses of core Kibana services.

elasticsearch object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

savedObjects object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

overall object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

plugins map string to object required

A dynamic mapping of plugin ID to plugin status.

<string> object
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

uuid string required

Unique, generated Kibana instance UUID. This UUID should persist even if the Kibana process restarts.

version object required
build_date string required

The date and time of this build.

build_flavor enum required

The build flavour determines configuration and behavior of Kibana. On premise users will almost always run the "traditional" flavour, while other flavours are reserved for Elastic-specific use cases.

Values: serverless traditional
build_hash string required

A unique hash value representing the git commit of this Kibana build.

build_number number required

A monotonically increasing number, each subsequent build will have a higher number.

build_snapshot boolean required

Whether this build is a snapshot build.

number string required

A semantic version number.

Kibana or some of it's essential services are unavailable. Kibana may be degraded or unavailable.

application/json
Any of:

Kibana's operational status as well as a detailed breakdown of plugin statuses indication of various loads (like event loop utilization and network traffic) at time of request.

metrics object required

Metric groups collected by Kibana.

collection_interval_in_millis number required

The interval at which metrics should be collected.

elasticsearch_client object required

Current network metrics of Kibana's Elasticsearch client.

totalActiveSockets number required

Count of network sockets currently in use.

totalIdleSockets number required

Count of network sockets currently idle.

totalQueuedRequests number required

Count of requests not yet assigned to sockets.

last_updated string required

The time metrics were collected.

name string required

Kibana instance name.

status object required
core object required

Statuses of core Kibana services.

elasticsearch object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

savedObjects object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

overall object required
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

plugins map string to object required

A dynamic mapping of plugin ID to plugin status.

<string> object
detail string

Human readable detail of the service status.

documentationUrl string

A URL to further documentation regarding this service.

level enum required

Service status levels as human and machine readable values.

Values: available degraded unavailable critical
meta map string to object required

An unstructured set of extra metadata about this service.

summary string required

A human readable summary of the service status.

uuid string required

Unique, generated Kibana instance UUID. This UUID should persist even if the Kibana process restarts.

version object required
build_date string required

The date and time of this build.

build_flavor enum required

The build flavour determines configuration and behavior of Kibana. On premise users will almost always run the "traditional" flavour, while other flavours are reserved for Elastic-specific use cases.

Values: serverless traditional
build_hash string required

A unique hash value representing the git commit of this Kibana build.

build_number number required

A monotonically increasing number, each subsequent build will have a higher number.

build_snapshot boolean required

Whether this build is a snapshot build.

number string required

A semantic version number.

Base URL
https://{kibana_url}